Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicFileChooserUI.BasicFileView

    java.lang.Object
      |
      +--javax.swing.filechooser.FileView
            |
            +--javax.swing.plaf.basic.BasicFileChooserUI.BasicFileView

protected class BasicFileChooserUI.BasicFileView
extends FileView

Field Summary
`protected java.util.Hashtable` | `iconCache`

Constructor Summary
`BasicFileChooserUI.BasicFileView()`

Method Summary
`void` | `cacheIcon(java.io.File f, Icon i)`
`void` | `clearIconCache()`
`Icon` | `getCachedIcon(java.io.File f)`
`java.lang.String` | `getDescription(java.io.File f)`
`Icon` | `getIcon(java.io.File f)`
`java.lang.String` | `getName(java.io.File f)`
`java.lang.String` | `getTypeDescription(java.io.File f)`
`java.lang.Boolean` | `isHidden(java.io.File f)`
`java.lang.Boolean` | `isTraversable(java.io.File f)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### iconCache

    protected java.util.Hashtable iconCache

Constructor Detail

### BasicFileChooserUI.BasicFileView

    public BasicFileChooserUI.BasicFileView()

Method Detail

### clearIconCache

    public void clearIconCache()

### getName

    public java.lang.String getName(java.io.File f)

  Overrides:
    getName in class FileView

### getDescription

    public java.lang.String getDescription(java.io.File f)

  Overrides:
    getDescription in class FileView

### getTypeDescription

    public java.lang.String getTypeDescription(java.io.File f)

  Overrides:
    getTypeDescription in class FileView

### getCachedIcon

    public Icon getCachedIcon(java.io.File f)

### cacheIcon

    public void cacheIcon(java.io.File f,
                          Icon i)

### getIcon

    public Icon getIcon(java.io.File f)

  Overrides:
    getIcon in class FileView

### isTraversable

    public java.lang.Boolean isTraversable(java.io.File f)

  Overrides:
    isTraversable in class FileView

### isHidden

    public java.lang.Boolean isHidden(java.io.File f)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.